import {Component, EventEmitter, Input, Output} from "@angular/core";

@Component({
  selector: 'app-child-2',
  standalone: true,
  template: `
    <h1>{{balance}}€</h1>
    <button (click)="minusFifty()" [disabled]="balance <= 0">-50€</button>
    <h2 [hidden]="balance > 0">No mo money</h2>
    `
})
export class Child2Component {
  @Input()
  public balance: number = 1000;

  @Output()
  public balanceChange: EventEmitter<number> = new EventEmitter<number>();

  public minusFifty() {
    this.balance -= 50;
    this.balanceChange.emit(this.balance);
  }
}
